Subject: Re: bug#20677: tooltips generate garbage

From: Angelo Graziosi <[email-masked]>
Date: Mon, 01 Jun 2015 23:55:55 +0200

Il 01/06/2015 18:19, Eli Zaretskii ha scritto:
>> Date: Mon, 01 Jun 2015 17:58:36 +0200
>> From: Angelo Graziosi <[email-masked]>
>> CC: [email-masked], [email-masked]
>>
>> Hmm... given the issue and looking at the changes, this caught my attention:
>>
>> --- a/src/gtkutil.c
>> +++ b/src/gtkutil.c
>> @@ -3824,8 +3824,7 @@ xg_update_scrollbar_pos (struct frame *f,
>>                 above.  */
>>    	  oldw += (scale - 1) * oldw;
>>    	  oldx -= (scale - 1) * oldw;
>> -          x_clear_area (FRAME_X_DISPLAY (f), FRAME_X_WINDOW (f),
>> -                        oldx, oldy, oldw, oldh);
>> +          x_clear_area (f, oldx, oldy, oldw, oldh);
>>
>> maybe, on linux+X Emacs needs something like this
>>
>> # if def(...X11..)
>>     [...]
>>     x_clear_area (FRAME_X_DISPLAY (f), FRAME_X_WINDOW (f)...
>> #else
>>     x_clear_area (f, oldx, oldy, oldw, oldh)...
>> #endif
>
> No, the calling sequence of x_clear_area has changed, so that change
> was correct, I think.  Are you saying that reverting it makes tooltips
> work again?

Really I didn't tested that.. Eventually, I will test that over the next 
few days..